Index: code/trunk/data/levels/fightInOurBack.oxw
===================================================================
--- code/trunk/data/levels/fightInOurBack.oxw	(revision 8866)
+++ code/trunk/data/levels/fightInOurBack.oxw	(revision 8867)
@@ -214,5 +214,5 @@
 <?lua for i=0,0,1 do
 x=800
-health=2750
+health=2050
 ?>
     <!--Transporter 1-->
@@ -286,5 +286,5 @@
         </SpaceShip>
         <!--Second Spaceship team 0 (player: team 0)-->
-        <SpaceShip position="0,0,100" lookat="2000,0,-950" health="400" maxhealth="400" initialhealth="400" >
+        <SpaceShip position="0,0,100" lookat="2000,0,-950" health="500" maxhealth="400" initialhealth="400" >
              <templates>
                   <Template link=spaceshipassff />
@@ -303,5 +303,5 @@
         </SpaceShip>
         <!--third Spaceship team 0 (player: team 0)-->
-        <SpaceShip position="0,0,-100" lookat="2000,0,-1050" health="400" maxhealth="400" initialhealth="400" >
+        <SpaceShip position="0,0,-100" lookat="2000,0,-1050" health="500" maxhealth="400" initialhealth="400" >
              <templates>
                   <Template link=spaceshipassff />
@@ -367,5 +367,5 @@
 
 <!--TEAM NO 1 (activationType : distance || killing a spaceship what belongs to TEAM 0 NO 0)-->
-<?lua for i=0,9,1 do
+<?lua for i=0,14,1 do
 x=math.random(-500,500)
 y=math.random(-300,300)
@@ -380,5 +380,5 @@
                     </templates>
                     <controller>
-                        <WaypointPatrolController alertnessradius=2000 team=0 active=false>
+                        <WaypointPatrolController alertnessradius=2100 team=0 active=false>
                             <waypoints>
                                 <Model mesh="cube.mesh" scale=0 position="<?lua print(4500+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>" />
Index: code/trunk/data/levels/includes/weaponSettingsAssff.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsAssff.oxi	(revision 8866)
+++ code/trunk/data/levels/includes/weaponSettingsAssff.oxi	(revision 8867)
@@ -24,5 +24,5 @@
             <Model mesh="hs-w01_reduced.mesh" roll="90" pitch="-76" yaw="-90" position="-1.5,1,0.3" scale=0.6 />
           </attached>
-          <HsW01 mode=0 munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0z munitionpershot=0 delay=0.125 damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
           <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
           <LightningGun mode=1 muzzleoffset="0,0,0" damage=3.14159 shielddamage=20 />
Index: code/trunk/data/levels/includes/weaponSettingsTransporter.oxi
===================================================================
--- code/trunk/data/levels/includes/weaponSettingsTransporter.oxi	(revision 8866)
+++ code/trunk/data/levels/includes/weaponSettingsTransporter.oxi	(revision 8867)
@@ -14,12 +14,12 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0 damage=2.5 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.1 damage=2.5 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.1   damage=3.14159 material="Flares/point_lensflare" muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="0.5,0.6,1.7" />
+          <LightningGun mode=1 muzzleoffset="0,0,0"   damage=3.14159 shielddamage=20 />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0  damage=2.5 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.1 damage=2.5 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.1   damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
+          <LightningGun mode=1 muzzleoffset="0,0,0"   damage=3.14159 shielddamage=20 />
         </Weapon>
       </WeaponPack>