Index: /branches/mountain_lake/src/world_entities/environments/mapped_water.h
===================================================================
--- /branches/mountain_lake/src/world_entities/environments/mapped_water.h	(revision 8867)
+++ /branches/mountain_lake/src/world_entities/environments/mapped_water.h	(revision 8868)
@@ -35,6 +35,6 @@
   virtual ~MappedWater();
 
+  // worldentity functions
   void loadParams(const TiXmlElement* root);
-
   void draw() const;
   void tick(float dt);
@@ -51,4 +51,5 @@
   void setWaterSize(float x, float z) { this->xWidth = x; this->zWidth = z; }
   void setWaterAngle(float angle) { this->waterAngle = angle; }
+  void setWaterColor(float r, float g, float b) { this->waterColor = Vector(r,g,b); this->newWaterColor = this->waterColor; }
   void setWaterUV(float uv) { this->waterUV = uv; }
   void setWaterFlow(float flow) { this->waterFlow = flow; };
@@ -58,8 +59,12 @@
   void setReflStrength(float strength) { this->reflStrength = strength; }
   void setRefraction(float refraction) { this->refraction = refraction; }
-  void setWaterColor(float r, float g, float b) { this->waterColor = Vector(r,g,b); this->newWaterColor = this->waterColor; }
 
   // functions to change water parameters during runtime
   // to reset waterUV and waterFlow just use the normal set functions
+  // don't reset kNormalMapScale (because it won't change anything)
+  void resetLightPos(float x, float y, float z);
+  void resetWaterPos(float x, float y, float z) { this->setWaterPos(x, y, z); this->calcVerts(); }
+  void resetWaterSize(float x, float z) { this->setWaterSize(x, z); this->calcVerts(); }
+  void resetWaterAngle(float angle) { this->setWaterAngle(angle); this->calcVerts(); }
   void resetWaterColor(float r, float g, float b);
   void resetShineSize(float shine);
@@ -67,10 +72,6 @@
   void resetReflStrength(float strength);
   void resetRefraction(float refraction);
-  void resetLightPos(float x, float y, float z);
-  void resetWaterPos(float x, float y, float z) { this->setWaterPos(x, y, z); this->calcVerts(); }
-  void resetWaterSize(float x, float z) { this->setWaterSize(x, z); this->calcVerts(); }
-  void resetWaterAngle(float angle) { this->setWaterAngle(angle); this->calcVerts(); }
 
-  // fade functions
+  // fade functions, hacky HACK
   void fadeWaterColor(float r, float g, float b, float time) {this->newWaterColor = Vector(r, g, b); this->colorFadeTime = time; }
   void fadeShininess(float shine, float time);
@@ -84,11 +85,14 @@
 
 private:
+  Material            mat;
+  Shader*             shader;
+
+  // water size and position
   float               waterHeight;            //!< position of the water
   float               waterVerts[8];          //!< coords of the 4 vertexes of the water quad
   float               xWidth, zWidth;         //!< size of the water quad
-  Vector              lightPos;               //!< position of the light that is used to render the reflection
   float               waterAngle;             //!< defines how much the water will be turned around the point waterPos
-  Vector              waterColor;             //!< color of the water
 
+  // values for texture size, scale, texture coords
   float               move;
   float               move2;
@@ -97,4 +101,9 @@
   float               normalUV;
   float               kNormalMapScale;
+  int                 textureSize;            //!< height and width of the texture
+
+  // values for the uniforms
+  Vector              waterColor;             //!< color of the water
+  Vector              lightPos;               //!< position of the light that is used to render the reflection
   float               shineSize;              //!< the bigger the value, the smaller the specular reflection point
   float               shineStrength;
@@ -102,7 +111,5 @@
   float               refraction;
 
-  int                 textureSize;            //!< height and width of the texture
-  Material            mat;
-  Shader*             shader;
+  // uniforms
   Shader::Uniform*    cam_uni;                //!< uniform that is used for the camera position
   Shader::Uniform*    light_uni;              //!< uniform that is used for the light position
@@ -113,5 +120,5 @@
   Shader::Uniform*    reflStrength_uni;       //!< uniform that is used for the strength of the reflection
 
-
+  // skirmish HACK
   Vector              newWaterColor;          //!< used to fade the water color
   float               colorFadeTime;