Index: /code/branches/ai2/data/levels/includes/weaponSettingsTransporter.oxi
===================================================================
--- /code/branches/ai2/data/levels/includes/weaponSettingsTransporter.oxi	(revision 8868)
+++ /code/branches/ai2/data/levels/includes/weaponSettingsTransporter.oxi	(revision 8869)
@@ -14,12 +14,12 @@
         </links>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0 material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset=" 0.5,0.6,1.7" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.1   damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0"   damage=3.14159 shielddamage=20 />
         </Weapon>
         <Weapon>
-          <HsW01 mode=0 munitionpershot=0 delay=0  material="Flares/point_lensflare" />
-          <HsW01 mode=0 munitionpershot=0 delay=0.1 material="Flares/point_lensflare" muzzleoffset="-0.5,0.6,1.7" />
-          <LightningGun mode=1 muzzleoffset="0,0,0" />
+          <HsW01 mode=0 munitionpershot=0 delay=0.1   damage=3.14159 material="Flares/point_lensflare" muzzleoffset=" 0.1, 1.6,-2" />
+          <HsW01 mode=0 munitionpershot=0 delay=0     damage=3.14159 material="Flares/point_lensflare" muzzleoffset="-1.6, 1.3,-2" />
+          <LightningGun mode=1 muzzleoffset="0,0,0"   damage=3.14159 shielddamage=20 />
         </Weapon>
       </WeaponPack>
Index: /code/branches/ai2/data/levels/missionOne.oxw
===================================================================
--- /code/branches/ai2/data/levels/missionOne.oxw	(revision 8868)
+++ /code/branches/ai2/data/levels/missionOne.oxw	(revision 8869)
@@ -12,4 +12,5 @@
   include("templates/spaceshipPirate.oxt")
   include("templates/spaceshipSpacecruiser.oxt")
+  include("templates/spaceshipTransporter.oxt")
 ?>
 
@@ -19,5 +20,5 @@
 
 <Level
- name         = "Tutorial"
+ name         = "Mission One"
  description  = "How to steer a spaceship."
 >
@@ -54,5 +55,5 @@
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>
     <SpawnPoint team=0 position="-200,0,0" lookat="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
-    <!-- Script code="artificialcontroller setbotlevel 0.1" /--> <!-- Does not influence waypointPatrolController-->
+    <!-- Script code="artificialcontroller setbotlevel 0.1" /-->
 
 <!-- END OF INCLUDES & NECESSARITIES -->
@@ -278,34 +279,8 @@
     </SimpleNotification>
 
-
-
-<!-- PORTALS -->
-    <Template name=PortalDefault>
-        <PortalEndPoint>
-            <attached>
-                <Billboard material="Portals/Default" />
-            </attached>
-        </PortalEndPoint>
-    </Template>
-
-    <PortalEndPoint position="-1400,-500,800" id="1" distance="40" target="MobileEntity" design="PortalDefault">
-        <!--events>
-            <visibility>
-                <EventListener event=portal />
-            </visibility>
-        </events-->
-    </PortalEndPoint>
-
-    <PortalEndPoint position="-47000,-1000,0" id="2" distance="40" target="MobileEntity" design="PortalDefault" />
-    <PortalLink fromID="1" toID="2" />
-    <PortalLink fromID="2" toID="1" />
-<!-- PORTALS END-->
-
-
-
 <StaticEntity position="-1000,-300,700" collisionType=static>
       <attached>
-        <Model scale=11 mesh="DuBall1.mesh" position = "-100,0,0"/>
-        <Model scale=11 mesh="DuBall2.mesh" position = "100,0,0"/>
+        <Model scale=13 mesh="DuBall1.mesh" position = "-100,0,0"/>
+        <Model scale=13 mesh="DuBall2.mesh" position = "100,0,0"/>
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "-100,0,0"/>
         <Billboard scale=7 material="Examples/Flare" colour="0.5,0.5,0.5" position = "100,0,0"/>        
@@ -318,25 +293,38 @@
 </StaticEntity>
 
-    <DistanceTrigger name="duball3" position="-1000,-300,700" target="Pawn" distance=700 stayActive="true" delay=6 />
-    <!-- SpaceShip position="-1000,900,700" lookat="0,0,0">
-      <templates>
-        <Template link=spaceshipTransporter />
-      </templates>
-      <controller>
-        <WaypointPatrolController>
-          <waypoints>
-            <Model mesh="cube.mesh" scale=8 position="-1000,500,700" />
-          </waypoints>
-        </WaypointPatrolController>
-      </controller>
-        <events>
-            <trigger>
-                <EventListener event=duball3 />
-            </trigger>
-        </events>
-    </SpaceShip -->
-
+
+
+<!-- PORTALS -->
+    <Template name=PortalDefault>
+        <PortalEndPoint>
+            <attached>
+                <Billboard material="Portals/Default" />
+            </attached>
+        </PortalEndPoint>
+    </Template>
+
+    <PortalEndPoint position="-1400,-500,800" id="1" distance="50" target="MobileEntity" design="PortalDefault">
+        <!--events>
+            <visibility>
+                <EventListener event=portal />
+            </visibility>
+        </events-->
+    </PortalEndPoint>
+
+    <PortalEndPoint position="-47000,-1000,1300" id="2" distance="70" target="MobileEntity" design="PortalDefault" />
+    <PortalLink fromID="1" toID="2" />
+    <PortalLink fromID="2" toID="1" />
+<!-- PORTALS END-->
+
+    <DistanceTrigger name="toHydroFarmer" position="-47000,-1000,1300" target="Pawn" distance=700 stayActive="true" delay=0 />
+    <SimpleNotification message="Find the Hydrogen Farmer.">
+        <events>
+            <trigger>
+                <EventListener event=toHydroFarmer />
+            </trigger>
+        </events>
+    </SimpleNotification>
 <!-------------------------------------- PART FOUR : Get Help --------------------------------------->   
-    <DistanceTrigger name="famer1" position="-48200,100,0" target="Pawn" distance=300 stayActive="true" delay=0 />
+    <DistanceTrigger name="famer1" position="-48200,100,0" target="Pawn" distance=650 stayActive="true" delay=0 />
     <SimpleNotification message="We just received a message from DuBall.">
         <events>
@@ -347,5 +335,5 @@
     </SimpleNotification>
 
-    <DistanceTrigger name="famer2" position="-48200,100,0" target="Pawn" distance=300 stayActive="true" delay=4 />
+    <DistanceTrigger name="famer2" position="-48200,100,0" target="Pawn" distance=650 stayActive="true" delay=4 />
     <SimpleNotification message="We will lend you our strongest ship.">
         <events>
@@ -355,8 +343,9 @@
         </events>
     </SimpleNotification>
-<!-- TODO: a) docking, b) spacecruiser, c) enemy -->
+
+<!-- TODO: c) enemy -->
 
     <!-- HYDROGEN FARMER & DOCKING?? -->
-    <SpaceShip position="-48600,100,0" roll=90 yaw=0 pitch=20 mass=10000 health=100000 >
+    <SpaceShip position="-48900,100,0" roll=90 yaw=0 pitch=20 mass=10000 health=100000 >
       <attached>
         <!-- Docking -->
@@ -402,6 +391,6 @@
     </SpaceShip>
 
-    <Billboard position="-48600,0,0" material="Examples/Flare" colour="0.6,0,0" scale=3/>
-    <Dock position="-48600,0,0" roll=90 yaw=180 >
+    <Billboard position="-48900,0,0" material="Examples/Flare" colour="0.6,0,0" scale=3/>
+    <Dock position="-48900,0,0" roll=90 yaw=180 >
         <animations>
             <MoveToDockingTarget target="destroyer" />
@@ -422,5 +411,5 @@
     </Dock>
 
-    <SpaceShip template="spaceshipspacecruiser" position="-48600,800,0" orientation="-0.14, 0.68, 0.68, 0.223" health="300" maxhealth="400" initialhealth="300">
+    <SpaceShip template="spaceshipspacecruiser" position="-48900,800,0" orientation="-0.14, 0.68, 0.68, 0.223" health="300" maxhealth="400" initialhealth="300">
       <attached>
         <DockingTarget name="spaceShip" />
@@ -429,11 +418,7 @@
 
 
-
-
-
-
 <!-- Pickup - find better place !! -->
-    <DistanceTrigger name="pickup" position="-49300,-100,-50" target="Pawn" distance=20 stayActive="true" delay=0 />
-    <SimpleNotification message="This pickup makes you temporarly small.">
+    <DistanceTrigger name="pickup" position="-48650,700,100" target="Pawn" distance=60 stayActive="true" delay=0 />
+    <SimpleNotification message="This pickup protects your spaceship.">
         <events>
             <trigger>
@@ -443,10 +428,19 @@
     </SimpleNotification>
 
-    <PickupSpawner position="-49300,-100,-50" triggerDistance="20" respawnTime="30" maxSpawnedItems="1">
+    <PickupSpawner position="-48650,700,100" triggerDistance="70" respawnTime="30" maxSpawnedItems="1">
       <pickup>
-        <ShieldPickup template=hugeshrinkpickup />
+        <ShieldPickup template=hugeshieldpickup />
       </pickup>
     </PickupSpawner>
 <!-- Pickup-->
+
+    <DistanceTrigger name="attack" position="-48650,700,100" target="Pawn" distance=100 stayActive="true" delay=4 />
+    <SimpleNotification message="Return before it is too late. Boost with 'Space'.">
+        <events>
+            <trigger>
+                <EventListener event=attack />
+            </trigger>
+        </events>
+    </SimpleNotification>
 
 
@@ -477,48 +471,237 @@
 
 
+
+<!-------------------------------------- The attack --------------------------------------->
+
+<!-- TODO:
+     - better performance: 4-8 Transporters from different directions heading towards duball's station
+     - attached with triggers: - if all bots died, then display end message
+                               - do a count down: 'x enemies left'
+     - update spaceshipTransporter
+     - bots do friendly fire (is drone function reusable?) 
+-->
+<!-- 1 -->
+    <SpaceShip position="3000,-4000,4000" lookat="-1300,-600,900">
+        <templates>
+            <Template link=spaceshippirate /> <!--spaceshipTransporter -->
+        </templates>
+        <controller>
+            <WaypointPatrolController alertnessradius=3129 team=0 active=false>
+                <waypoints>
+                    <Model mesh="cube.mesh" scale=0 position="-1300,-600,900" />
+                    <Model mesh="cube.mesh" scale=0 position="0,0,0" />
+                </waypoints>
+                <events>
+                    <activity>
+                        <EventListener event="attack" /> <!-- activates enemies-->
+                     </activity>
+                </events>
+            </WaypointPatrolController>
+        </controller>
+    </SpaceShip>
+<!-- 2 -->
+    <SpaceShip position="3000,-4000,-4000" lookat="-1300,-600,900">
+        <templates>
+            <Template link=spaceshippirate /> <!--spaceshipTransporter -->
+        </templates>
+        <controller>
+            <WaypointPatrolController alertnessradius=3129 team=0 active=false>
+                <waypoints>
+                    <Model mesh="cube.mesh" scale=0 position="-1300,-600,900" />
+                    <Model mesh="cube.mesh" scale=0 position="0,0,0" />
+                </waypoints>
+                <events>
+                    <activity>
+                        <EventListener event="attack" /> <!-- activates enemies-->
+                     </activity>
+                </events>
+            </WaypointPatrolController>
+        </controller>
+    </SpaceShip>
+<!-- 3 -->
+    <SpaceShip position="-4000,-3000,4000" lookat="-1300,-600,900">
+        <templates>
+            <Template link=spaceshippirate /> <!--spaceshipTransporter -->
+        </templates>
+        <controller>
+            <WaypointPatrolController alertnessradius=3129 team=0 active=false>
+                <waypoints>
+                    <Model mesh="cube.mesh" scale=0 position="-1300,-600,900" />
+                    <Model mesh="cube.mesh" scale=0 position="0,0,0" />
+                </waypoints>
+                <events>
+                    <activity>
+                        <EventListener event="attack" /> <!-- activates enemies-->
+                     </activity>
+                </events>
+            </WaypointPatrolController>
+        </controller>
+    </SpaceShip>
+<!-- 4 -->
+    <SpaceShip position="-3000,-3000,-5000" lookat="-1300,-600,900">
+        <templates>
+            <Template link=spaceshippirate /> <!--spaceshipTransporter -->
+        </templates>
+        <controller>
+            <WaypointPatrolController alertnessradius=3129 team=0 active=false>
+                <waypoints>
+                    <Model mesh="cube.mesh" scale=0 position="-1300,-600,900" />
+                    <Model mesh="cube.mesh" scale=0 position="0,0,0" />
+                </waypoints>
+                <events>
+                    <activity>
+                        <EventListener event="attack" /> <!-- activates enemies-->
+                     </activity>
+                </events>
+            </WaypointPatrolController>
+        </controller>
+    </SpaceShip>
+<!-- 5 -->
+    <SpaceShip position="4000,4000,3000" lookat="-1300,-600,900">
+        <templates>
+            <Template link=spaceshippirate /> <!--spaceshipTransporter -->
+        </templates>
+        <controller>
+            <WaypointPatrolController alertnessradius=3129 team=0 active=false>
+                <waypoints>
+                    <Model mesh="cube.mesh" scale=0 position="-1300,-600,900" />
+                    <Model mesh="cube.mesh" scale=0 position="0,0,0" />
+                </waypoints>
+                <events>
+                    <activity>
+                        <EventListener event="attack" /> <!-- activates enemies-->
+                     </activity>
+                </events>
+            </WaypointPatrolController>
+        </controller>
+    </SpaceShip>
+<!-- 6 -->
+    <SpaceShip position="2000,-4000,5000" lookat="-1300,-600,900">
+        <templates>
+            <Template link=spaceshippirate /> <!--spaceshipTransporter -->
+        </templates>
+        <controller>
+            <WaypointPatrolController alertnessradius=3129 team=0 active=false>
+                <waypoints>
+                    <Model mesh="cube.mesh" scale=0 position="-1300,-600,900" />
+                    <Model mesh="cube.mesh" scale=0 position="0,0,0" />
+                </waypoints>
+                <events>
+                    <activity>
+                        <EventListener event="attack" /> <!-- activates enemies-->
+                     </activity>
+                </events>
+            </WaypointPatrolController>
+        </controller>
+    </SpaceShip>
+
+
+<!--- TODO: Catch event when all enemies are dead; display an end message --->
+<!--- Message: Mission accomplished. Well done. Either you return to the main menu by pressing 'Esc' & then the button 'return to main menu'
+      or you might want to discover some further tricks. Then use the new portal. --->
+
+<!-------------------------------------- |Bonus Part| --------------------------------------->
+<!-- PortalEndPoint is not invisible (and triggered yet); billboard has to be removed later.
+    <Billboard position="-48900,0,0" material="Examples/Flare" colour="7010,10010,-5010" scale=5/>
+    <Template name=PortalDefault>
+        <PortalEndPoint>
+            <attached>
+                <Billboard material="Portals/Default" />
+            </attached>
+        </PortalEndPoint>
+    </Template>
+
+    <PortalEndPoint position="800,-700,500" id="3" distance="50" target="MobileEntity" design="PortalDefault">
+        <events>
+            <visibility>
+                <EventListener event=bonus />
+            </visibility>
+        </events>
+    </PortalEndPoint>
+
+    <PortalEndPoint position="7000,10000,-5000" id="4" distance="70" target="MobileEntity" design="PortalDefault">
+        <events>
+            <visibility>
+                <EventListener event=bonus />
+            </visibility>
+        </events>
+    </PortalEndPoint>
+
+    <PortalLink fromID="3" toID="4" />
+    <PortalLink fromID="4" toID="3" />
+
+    <DistanceTrigger name="bonus1" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=4 />
+    <SimpleNotification message="Rotate your ship. Press 'Q' or 'E'. ">
+        <events>
+            <trigger>
+                <EventListener event=bonus1 />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="bonus2" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=8 />
+    <SimpleNotification message="Switch the camera's position. Press 'C'. ">
+        <events>
+            <trigger>
+                <EventListener event=bonus2 />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="bonus3" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=12 />
+    <SimpleNotification message="360° view: press 'Ctrl' + use the mouse ">
+        <events>
+            <trigger>
+                <EventListener event=bonus3 />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="bonus4" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=16 />
+    <SimpleNotification message="Have a look at the main menu's settings.">
+        <events>
+            <trigger>
+                <EventListener event=bonus4 />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="bonus5" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=20 />
+    <SimpleNotification message="E.g: Settings->Miscellaneous->Nr. of bots">
+        <events>
+            <trigger>
+                <EventListener event=bonus5 />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+    <DistanceTrigger name="bonus6" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=24 />
+    <SimpleNotification message="That's it.">
+        <events>
+            <trigger>
+                <EventListener event=bonus6 />
+            </trigger>
+        </events>
+    </SimpleNotification>
+-->
+<!-- ATTENTION: DOESN'T WORK YET
+    < Script code="artificialcontroller setbotlevel 0.1">
+        <events>
+            <trigger>
+                <EventListener event=bonus6 />
+            </trigger>
+        </events>
+    </Script>
+
+    < Script code="addbots 3">
+        <events>
+            <trigger>
+                <EventListener event=bonus6 />
+            </trigger>
+        </events>
+    </Script>
+-->
+
 <!--------------------------------------DUMP YARD --------------------------------------->
-
-
-
-<!-- TODO: a) bots trigger themselves b) bots are not in player's team c) bots do friendly fire -->
-
-<!--Trigger to activate this Team (TEAM NO 1)-->
-    <!--DistanceTrigger name="activateTeam0No1" position="-40400,100,0" distance="300" target="Pawn" activations="1" stayactive="true" /-->
-<!--TEAM NO 1 (activationType : distance || killing a spaceship what belongs to TEAM 0 NO 0)-->
-<?lua for i=0,10,1 do
-x=math.random(-300,300)
-y=math.random(-200,200)
-z=math.random(-200,200)
-?>
-    <EventTrigger name="activateTeam0No1" activations=1 stayactive="true">
-        <events>
-            <trigger>
-                <SpaceShip position="<?lua print(x-39200) ?>,<?lua print(y-2000) ?>,<?lua print(z+4000) ?>" lookat="<?lua print(4000+x) ?>,<?lua print(y) ?>,<?lua print(z+3000) ?>">
-                    <templates>
-                        <Template link=spaceshipassff />
-                    </templates>
-                    <controller>
-                        <WaypointPatrolController alertnessradius=3129 team=0 active=false>
-                            <waypoints>
-                                <Model mesh="cube.mesh" scale=0 position="-40000,0,0" />
-                                <Model mesh="cube.mesh" scale=0 position="-40100,250,-500" />
-                                <Model mesh="cube.mesh" scale=0 position="0,0,0" />
-                            </waypoints>
-                            <events>
-                                <activity>
-                                    <EventListener event="activateTeam0No1" />
-                                </activity>
-                            </events>
-                        </WaypointPatrolController>
-                    </controller>
-                </SpaceShip>
-            </trigger>
-        </events>
-    </EventTrigger>
-
-<?lua end ?>
-<!--Creating spaceships (player's team) END -->
-
-
 
 
Index: /code/branches/ai2/src/orxonox/worldentities/ControllableEntity.h
===================================================================
--- /code/branches/ai2/src/orxonox/worldentities/ControllableEntity.h	(revision 8868)
+++ /code/branches/ai2/src/orxonox/worldentities/ControllableEntity.h	(revision 8869)
@@ -240,5 +240,4 @@
             CameraPosition* reverseCamera_;
             WeakPtr<WorldEntity> target_;
-            WeakPtr<Controller> test_;
     };
 }