Index: code/branches/ai2/data/levels/missionOne.oxw
===================================================================
--- code/branches/ai2/data/levels/missionOne.oxw	(revision 8871)
+++ code/branches/ai2/data/levels/missionOne.oxw	(revision 8872)
@@ -31,8 +31,8 @@
     name="narrative"
     targets="simpleNotification"
-    size=1
-    displayTime=30
+    size=3
+    displayTime=3.9
     position="0.2, 0, 0.1, 0"
-    fontSize="24"
+    fontSize="23"
     fontColor="0.3, 1, 0.2, 0.8"
     alignment="HorzCentred"
@@ -58,5 +58,5 @@
 <!-- QUESTS: TODO! STORY!!
     <LocalQuest id="orxonox-weaponsystem-check">
-        <QuestDescription title="Tutorial" description="Before we  serious missions you have to proof that " /> //The description of the quest.
+        <QuestDescription title="Tutorial" description=" " /> //The description of the quest.
         <subquests>
             <Quest id ="questId1" />
@@ -128,6 +128,8 @@
         </events>
     </SimpleNotification>
-<!-------------------------------------- PART ONE: Destroy boxes --------------------------------------->
-    <DistanceTrigger name="spawndelaytrigger1" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=2 />
+<!-------------------------------------- PART ZERO: How to fly --------------------------------------->
+
+<!-------------------------------------- PART ONE : Destroy boxes --------------------------------------->
+    <DistanceTrigger name="spawndelaytrigger1" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=4 />
     <SimpleNotification message="Destroy those four boxes.">
         <events>
@@ -138,5 +140,5 @@
     </SimpleNotification>
 
-    <DistanceTrigger name="spawndelaytrigger2" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=5 />
+    <DistanceTrigger name="spawndelaytrigger2" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=8.1 />
     <SimpleNotification message=" 1. Aim the a the red cycle.">
         <events>
@@ -147,5 +149,5 @@
     </SimpleNotification>
 
-    <DistanceTrigger name="spawndelaytrigger3" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=8 />
+    <DistanceTrigger name="spawndelaytrigger3" position="-200,0,0" target="Pawn" distance=10 stayActive="true" delay=12.2 />
     <SimpleNotification message="2. Click! (hold the left mouse button)">
         <events>
@@ -166,5 +168,5 @@
                 </Pawn>
 
-                <Pawn health=30 position="0,100,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box >
+                <Pawn health=30 position="0,100,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box visible="true">
                     <!--events>
                         <visibility>
@@ -201,5 +203,5 @@
                 boxtrigger3 <-> three boxes destroyed
                 boxtrigger4 <-> four  boxes destroyed  -->
-    <EventTrigger name="boxtrigger4" activations="1" stayactive="true">
+    <EventTrigger name="boxtrigger4" activations="1" stayactive="true" delay=0.1>
       <events>
         <trigger>
@@ -207,5 +209,5 @@
         </trigger>
       </events>
-      <EventTrigger name="boxtrigger3" activations="1" stayactive="true">
+      <EventTrigger name="boxtrigger3" activations="1" stayactive="true" delay=0.1>
         <events>
           <trigger>
@@ -213,5 +215,5 @@
           </trigger>
         </events>
-        <EventTrigger name="boxtrigger2" activations="1" stayactive="true">
+        <EventTrigger name="boxtrigger2" activations="1" stayactive="true" delay=0.1>
           <events>
             <trigger>
@@ -219,5 +221,5 @@
             </trigger>
           </events>
-          <EventTrigger name="boxtrigger1" activations="1" stayactive="true">
+          <EventTrigger name="boxtrigger1" activations="1" stayactive="true" delay=0.1>
             <events>
               <trigger>
@@ -277,5 +279,5 @@
 
 <!-- @Objects: 2 pirates moving in squares, nolethal -->
-                <SpaceShip position="0,2000,200" lookat="0,0,0" name="movingtarget">
+                <SpaceShip position="0,2000,200" lookat="0,0,0" name="movingtarget" >
                     <templates>
                       <Template link=spaceshippirate />
@@ -311,5 +313,5 @@
 <!-- @Triggers: movingpirates1 <-> one  pirate  dead
                 movingpirates2 <-> both pirates dead  -->
-    <EventTrigger name="movingpirates2" activations="1" stayactive="true">
+    <EventTrigger name="movingpirates2" activations="1" stayactive="true" delay=0.1>
       <events>
         <trigger>
@@ -317,5 +319,5 @@
         </trigger>
       </events>
-      <EventTrigger name="movingpirates1" activations="1" stayactive="true">
+      <EventTrigger name="movingpirates1" activations="1" stayactive="true" delay=0.1>
         <events>
           <trigger>
@@ -346,5 +348,5 @@
 
 <!--------------------------------------PART THREE: the space station --------------------------------------->
-    <DistanceTrigger name="duball1" position="-1000,-300,700" target="Pawn" distance=700 stayActive="true" delay=2 />
+    <DistanceTrigger name="duball1" position="-1000,-300,700" target="Pawn" distance=700 stayActive="true" delay=1 />
     <SimpleNotification message="Welcome to the Duball Space Station!">
         <events>
@@ -541,12 +543,4 @@
 <!-- Pickup-->
 
-    <DistanceTrigger name="warning" position="-48650,700,100" target="Pawn" distance=100 stayActive="true" delay=4 />
-    <SimpleNotification message="Return before it's too late. Boost with 'Space'.">
-        <events>
-            <trigger>
-                <EventListener event=warning />
-            </trigger>
-        </events>
-    </SimpleNotification>
 
 <!-- @Objects: planet && spaceboundaries  -->
@@ -565,18 +559,14 @@
       atmospheresize="80.0f"
       imagesize="1024.0f"
-      collisiondamage = 2
-      enablecollisiondamage = true
+      collisiondamage = "2"
+      enablecollisiondamage = "false"
     >
-      <attached>
-        <Model mesh="sphere.mesh" mass=10 position="0,0,0" scale=2500 />
-      </attached>
       <!--attached>
         <ForceField position="0,0,0" mode="sphere" diameter="10000" velocity="-50" /> 
       </attached-->  <!-- Forcefield kills HYDROGEN FARMER-->
       <collisionShapes>
-        <SphereCollisionShape radius="2400" position="0,0,0" /> <!-- Nasty: Collisionradius =! planet scale -->
+        <SphereCollisionShape radius="2500" position="0,0,0" />
       </collisionShapes>
     </Planet>
-    <SpaceBoundaries reactionMode=2 warnDistance="1" maxDistance="2750" showDistance="2800" healthDecrease="0.1" position="-44000,0,0"/>
 
 
@@ -606,5 +596,5 @@
     </DistanceTrigger>
 
-    <SimpleNotification message="WHY IS THIS MESSAGE NOT DISPLAYED ??"> <!-- ondock-message should be: "Return before it's too late. Boost with 'Space'." -->
+    <SimpleNotification message="Return before it's too late. Boost with 'Space'." broadcast="true">
         <events>
             <trigger>
@@ -626,5 +616,10 @@
 <!-- @Objects: 6 pirates, heading towards DuBall, attacking  -->
 <!-- 1 -->
-    <SpaceShip position="3000,-4000,4000" lookat="-1300,-600,900" name="attacker">
+    <SpaceShip position="3000,-4000,4000" lookat="-1300,-600,900" name="attacker"visible="true">
+        <events>
+            <visibility>
+                <EventListener event="ondock" />
+            </visibility>
+        </events>
         <templates>
             <Template link=spaceshippirate /> <!--spaceshipTransporter -->
@@ -645,5 +640,10 @@
     </SpaceShip>
 <!-- 2 -->
-    <SpaceShip position="3000,-4000,-4000" lookat="-1300,-600,900" name="attacker">
+    <SpaceShip position="3000,-4000,-4000" lookat="-1300,-600,900" name="attacker" visible="true">
+        <events>
+            <visibility>
+                <EventListener event="ondock" />
+            </visibility>
+        </events>
         <templates>
             <Template link=spaceshippirate /> <!--spaceshipTransporter -->
@@ -664,5 +664,10 @@
     </SpaceShip>
 <!-- 3 -->
-    <SpaceShip position="-4000,-3000,4000" lookat="-1300,-600,900" name="attacker">
+    <SpaceShip position="-4000,-3000,4000" lookat="-1300,-600,900" name="attacker" visible="true">
+        <events>
+            <visibility>
+                <EventListener event="ondock" />
+            </visibility>
+        </events>
         <templates>
             <Template link=spaceshippirate /> <!--spaceshipTransporter -->
@@ -683,5 +688,10 @@
     </SpaceShip>
 <!-- 4 -->
-    <SpaceShip position="-3000,-3000,-5000" lookat="-1300,-600,900" name="attacker">
+    <SpaceShip position="-3000,-3000,-5000" lookat="-1300,-600,900" name="attacker" visible="true">
+        <events>
+            <visibility>
+                <EventListener event="ondock" />
+            </visibility>
+        </events>
         <templates>
             <Template link=spaceshippirate /> <!--spaceshipTransporter -->
@@ -702,5 +712,10 @@
     </SpaceShip>
 <!-- 5 -->
-    <SpaceShip position="4000,4000,3000" lookat="-1300,-600,900" name="attacker">
+    <SpaceShip position="4000,4000,3000" lookat="-1300,-600,900" name="attacker"visible="true">
+        <events>
+            <visibility>
+                <EventListener event="ondock" />
+            </visibility>
+        </events>
         <templates>
             <Template link=spaceshippirate /> <!--spaceshipTransporter -->
@@ -721,5 +736,10 @@
     </SpaceShip>
 <!-- 6 -->
-    <SpaceShip position="2000,-4000,5000" lookat="-1300,-600,900" name="attacker">
+    <SpaceShip position="2000,-4000,5000" lookat="-1300,-600,900" name="attacker" visible="true">
+        <events>
+            <visibility>
+                <EventListener event="ondock" />
+            </visibility>
+        </events>
         <templates>
             <Template link=spaceshippirate /> <!--spaceshipTransporter -->
@@ -747,5 +767,5 @@
         </trigger>
       </events>
-      <EventTrigger name="attacktrigger5" activations="1" stayactive="true">
+      <EventTrigger name="attacktrigger5" activations="1" stayactive="true" delay=0.1>
         <events>
           <trigger>
@@ -753,5 +773,5 @@
           </trigger>
         </events>
-        <EventTrigger name="attacktrigger4" activations="1" stayactive="true">
+        <EventTrigger name="attacktrigger4" activations="1" stayactive="true" delay=0.1>
           <events>
             <trigger>
@@ -759,5 +779,5 @@
             </trigger>
           </events>
-          <EventTrigger name="attacktrigger3" activations="1" stayactive="true">
+          <EventTrigger name="attacktrigger3" activations="1" stayactive="true" delay=0.1>
             <events>
               <trigger>
@@ -765,5 +785,5 @@
               </trigger>
             </events>
-            <EventTrigger name="attacktrigger2" activations="1" stayactive="true">
+            <EventTrigger name="attacktrigger2" activations="1" stayactive="true" delay=0.1>
               <events>
                 <trigger>
@@ -771,5 +791,5 @@
                 </trigger>
               </events>
-              <EventTrigger name="attacktrigger1" activations="1" stayactive="true">
+              <EventTrigger name="attacktrigger1" activations="1" stayactive="true" delay=0.1>
                 <events>
                   <trigger>
@@ -856,5 +876,5 @@
     </SimpleNotification>
 
-    <SimpleNotification message="... continue by using the new portal." broadcast="true">
+    <SimpleNotification message="... stay here to learn some tricks." broadcast="true">
       <events>
         <trigger>
@@ -864,32 +884,59 @@
     </SimpleNotification>
 
-
-<!--- Message: Mission accomplished. Well done. Either you return to the main menu by pressing 'Esc' & then the button 'return to main menu'
-      or you might want to discover some further tricks. Then use the new portal. --->
-
 <!-------------------------------------- |Bonus Part| --------------------------------------->
-
-<!-- @Objects: 6 pirates, heading towards DuBall, attacking  -->
-    <PortalEndPoint position="700,-600,500" id="3" distance="50" target="MobileEntity" design="PortalDefault" visible=true>
-        <events>
-            <visibility>
-                <EventListener event="postAttack2" />
-            </visibility>
-        </events>
-    </PortalEndPoint>
-
-    <PortalEndPoint position="7000,10000,-5000" id="4" distance="70" target="MobileEntity" design="PortalDefault" visible=true>
-        <events>
-            <visibility>
-                <EventListener event="postAttack2" />
-            </visibility>
-        </events>
-    </PortalEndPoint>
-
-    <PortalLink fromID="3" toID="4" />
-    <PortalLink fromID="4" toID="3" />
-
-    <DistanceTrigger name="bonus1" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=2 />
-    <SimpleNotification message="Rotate your ship. Press 'Q' or 'E'. ">
+<!-- @Triggers: "bonusX" <->  delayed "attacktrigger6" -->
+    <EventTrigger name="bonus1" activations="1" stayactive="true" delay=10>
+      <events>
+        <trigger>
+          <EventListener event="attacktrigger6" />
+        </trigger>
+      </events>
+    </EventTrigger>
+    <EventTrigger name="bonus2" activations="1" stayactive="true" delay=16>
+      <events>
+        <trigger>
+          <EventListener event="attacktrigger6" />
+        </trigger>
+      </events>
+    </EventTrigger>
+    <EventTrigger name="bonus3" activations="1" stayactive="true" delay=22>
+      <events>
+        <trigger>
+          <EventListener event="attacktrigger6" />
+        </trigger>
+      </events>
+    </EventTrigger>
+    <EventTrigger name="bonus4" activations="1" stayactive="true" delay=28>
+      <events>
+        <trigger>
+          <EventListener event="attacktrigger6" />
+        </trigger>
+      </events>
+    </EventTrigger>
+    <EventTrigger name="bonus5" activations="1" stayactive="true" delay=32.1>
+      <events>
+        <trigger>
+          <EventListener event="attacktrigger6" />
+        </trigger>
+      </events>
+    </EventTrigger>
+    <EventTrigger name="bonus6" activations="1" stayactive="true" delay=36.2>
+      <events>
+        <trigger>
+          <EventListener event="attacktrigger6" />
+        </trigger>
+      </events>
+    </EventTrigger>
+    <EventTrigger name="bonus7" activations="1" stayactive="true" delay=4>
+      <events>
+        <trigger>
+          <EventListener event="bonus6" />
+        </trigger>
+      </events>
+    </EventTrigger>
+
+
+
+    <SimpleNotification message="Rotate your ship. Press 'Q' or 'E'. "  broadcast="true">
         <events>
             <trigger>
@@ -899,6 +946,5 @@
     </SimpleNotification>
 
-    <DistanceTrigger name="bonus2" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=7 />
-    <SimpleNotification message="Switch the camera's position. Press 'C'. ">
+    <SimpleNotification message="Switch the camera's position. Press 'C'. "  broadcast="true">
         <events>
             <trigger>
@@ -908,6 +954,5 @@
     </SimpleNotification>
 
-    <DistanceTrigger name="bonus3" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=12 />
-    <SimpleNotification message="360° view: press 'Ctrl' + use the mouse ">
+    <SimpleNotification message="360° view: press 'Ctrl' + use the mouse "  broadcast="true">
         <events>
             <trigger>
@@ -917,6 +962,5 @@
     </SimpleNotification>
 
-    <DistanceTrigger name="bonus4" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=17 />
-    <SimpleNotification message="Have a look at the main menu's settings.">
+    <SimpleNotification message="Have a look at the main menu's settings."  broadcast="true">
         <events>
             <trigger>
@@ -926,6 +970,5 @@
     </SimpleNotification>
 
-    <DistanceTrigger name="bonus5" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=22 />
-    <SimpleNotification message="E.g: Settings > Miscellaneous > Nr. of bots">
+    <SimpleNotification message="E.g: Settings > Miscellaneous > Nr. of bots"  broadcast="true">
         <events>
             <trigger>
@@ -935,6 +978,5 @@
     </SimpleNotification>
 
-    <DistanceTrigger name="bonus6" position="7000,10000,-5000" target="Pawn" distance=100 stayActive="true" delay=27 />
-    <SimpleNotification message="That's it. Have fun with some bots.">
+    <SimpleNotification message="You successfully finished Mission One!"  broadcast="true">
         <events>
             <trigger>
@@ -944,5 +986,14 @@
     </SimpleNotification>
 
-    <Script code="addBots 3" onLoad="false">
+    <SimpleNotification message="Press 'Esc' and return to the main menu."  broadcast="true">
+        <events>
+            <trigger>
+                <EventListener event=bonus7 />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+    <!--Script code="addBots 3" onLoad="false">
         <events>
             <trigger>
@@ -958,5 +1009,5 @@
             </trigger>
         </events>
-    </Script>
+    </Script-->
 
   </Scene>
@@ -964,6 +1015,5 @@
 <!-- TODO: 
 ! Quest Interface
-! Problem with triggers (bug! e.g. at boxes, fast destroy)
 - Foolproof text messages (e.g. verspätete Nachrichten unterdrücken)
-- Clear Message Output: ""
+- Radar visibility & Hud Markers
  -->