Index: branches/single_player_map/src/lib/graphics/importer/interactive_model.h
===================================================================
--- branches/single_player_map/src/lib/graphics/importer/interactive_model.h	(revision 8878)
+++ branches/single_player_map/src/lib/graphics/importer/interactive_model.h	(revision 8879)
@@ -37,5 +37,5 @@
 
     virtual void setAnimation(int animNum, int playbackMode = 0) = 0;
-    virtual void setAnimation(int firstFrame, int lastFrame, int fps, int bStoppable) {}
+    virtual void setAnimation(int firstFrame, int lastFrame, int fps, int bStoppable, int animPlayback) {}
     virtual int getAnimation() = 0;
 
Index: branches/single_player_map/src/lib/graphics/importer/md2/md2Model.cc
===================================================================
--- branches/single_player_map/src/lib/graphics/importer/md2/md2Model.cc	(revision 8878)
+++ branches/single_player_map/src/lib/graphics/importer/md2/md2Model.cc	(revision 8879)
@@ -161,4 +161,27 @@
 
 /**
+ * sets the animation type
+ * @param firstFrame: index of the first frame
+ * @param lastFrame: index of the last frame
+ * @param fps: frames per second
+ * @param bStoppable: is 1 if so, 0 else
+ */
+void MD2Model::setAnimation(int firstFrame, int lastFrame, int fps, int bStoppable, int animPlayback)
+{
+  this->animationState.startFrame = firstFrame;
+  this->animationState.endFrame = lastFrame;
+  this->animationState.nextFrame = firstFrame + 1;
+  this->animationState.fps = fps;
+  this->animationState.type = 0;
+  this->animationState.numPlays = 0;
+  this->animationState.animPlaybackMode = animPlayback;
+
+  this->animationState.interpolationState = 0.0f;
+  this->animationState.localTime = 0.0f;
+  this->animationState.lastTime = 0.0f;
+  this->animationState.currentFrame = firstFrame;
+}
+
+/**
   \brief sets the animation type
 * @param type: animation type
Index: branches/single_player_map/src/lib/graphics/importer/md2/md2Model.h
===================================================================
--- branches/single_player_map/src/lib/graphics/importer/md2/md2Model.h	(revision 8878)
+++ branches/single_player_map/src/lib/graphics/importer/md2/md2Model.h	(revision 8879)
@@ -157,5 +157,5 @@
 
   virtual void setAnimation(int type, int animPlayback = MD2_ANIM_LOOP);
-  virtual void setAnimation(int firstFrame, int lastFrame, int fps, int bStoppable);
+  virtual void setAnimation(int firstFrame, int lastFrame, int fps, int bStoppable, int animPlayback);
   /**  returns the current animation @returns animation type */
   inline int MD2Model::getAnimation() { return this->animationState.type; }
Index: branches/single_player_map/src/world_entities/door.cc
===================================================================
--- branches/single_player_map/src/world_entities/door.cc	(revision 8878)
+++ branches/single_player_map/src/world_entities/door.cc	(revision 8879)
@@ -21,6 +21,6 @@
 #include "util/loading/load_param.h"
 
-
 #include "interactive_model.h"
+#include "md2/md2Model.h"
 
 #include "door.h"
@@ -57,4 +57,6 @@
   this->setClassID(CL_DOOR, "Door");
   this->toList(OM_COMMON);
+
+  this->bLocked = false;
 }
 
@@ -70,5 +72,4 @@
       .describe("sets the action radius of the door")
       .defaultValues(1);
-
 }
 
@@ -77,8 +78,10 @@
  * sets the animatin of this entity
  */
-void  Door::setAnimation(int animationIndex, int animPlaybackMode)
+void  Door::setAnimation(int firstFrame, int lastFrame, int fps, int bStoppable, int animPlayback)
 {
   if( likely(this->getModel(0) != NULL))
-    ((InteractiveModel*)this->getModel(0))->setAnimation(animationIndex, animPlaybackMode);
+    ((InteractiveModel*)this->getModel(0))->setAnimation(firstFrame, lastFrame, fps, bStoppable, animPlayback);
+
+
 }
 
@@ -105,5 +108,5 @@
     return;
 
-//   this->setAnimation();
+  this->setAnimation(0, 1, 5, 0, MD2_ANIM_ONCE);
 
 }
Index: branches/single_player_map/src/world_entities/door.h
===================================================================
--- branches/single_player_map/src/world_entities/door.h	(revision 8878)
+++ branches/single_player_map/src/world_entities/door.h	(revision 8879)
@@ -32,5 +32,5 @@
   private:
     bool checkOpen();
-    void setAnimation(int animationIndex, int animPlaybackMode);
+    void setAnimation(int firstFrame, int lastFrame, int fps, int bStoppable, int animPlayback);
 
 